## game-data-packager 73

=== debian/changelog ===
game-data-packager (73) unstable; urgency=medium

  * New features:
    - Add a --force-install option similar to apt-get --assume-yes.
      This is mainly for regression testing, but could potentially be
      useful for non-interactive use. [smcv]
    - Move --demo to be a top-level option so it can be used with any
      game. For games with no demo or shareware version, it is now allowed
      but has no effect. [smcv]
  * Bug fixes:
    - Doom 1: Update downloadable archive for Sigil [smcv]
    - Doom 1: Avoid false-positive warnings about unexpected versions
      of files for Sigil [smcv]
    - Return to Castle Wolfenstein: allow autoexec.cfg to be empty
      (as it is in the Mac CD version) or missing.
      [Adam Robinson, smcv]
    - Fix a crash when an optional package is activated by a file with
      alternatives, for which the Sigil expansion for Doom 1 is probably
      the only example (Closes: #1031651) [smcv]
    - If no specific installation method is set, run apt to implement
      the --install option (Closes: #1031621) [adetiste]
    - CLI: Make --no-search work as intended [smcv]
    - Correct some attribution in the v72 changelog [adetiste]
    - launcher: Exit if unable to prompt whether to run binary-only
      game [smcv]
    - launcher: Show a hint if --debugger=gdb is used.
      That won't work, because it doesn't pass argv through to the actual
      game, and --debugger="gdb --args" is the correct spelling.
      (Closes: #977138) [smcv]
  * Internal changes:
    - Report test failures by exit status as well as TAP [smcv]
  * Debian packaging:
    - Fix name of build-needed restriction for d/tests/integration [smcv]
    - Add a test to verify that we can install packages [smcv]
  * RPM packaging:
    - Merge changes from RPMFusion [adetiste]

 -- Simon McVittie <smcv@debian.org>  Tue, 21 Feb 2023 10:54:57 +0000

game-data-packager (72) unstable; urgency=medium

  * New games:
    - Quadrilateral Cowboy, with 'Humble Indie Bundle' and
      'Steam' distribution variants [James Addison]
      (This was intended to be included in v71, but did not work as
      intended in that version.)
  * New versions:
    - System Shock: Add support for packaging from the version bundled
      with System Shock: Enhanced Edition on Steam. This requires the
      xorriso package. [Adam Robinson]
  * New features:
    - Add '--version' command line switch [adetiste]
  * Bug fixes:
    - doom: Add support for new DSDA and WOOF Doom engines [adetiste]
    - etqw: Download from Splash Damage's CDN instead of Gentoo mirrors
      (Closes: #1030172) [smcv]
    - rtcw: Drop download URLs for files that are no longer mirrored [smcv]
    - Clean up various other mirror lists [smcv]
  * Debian packaging:
    - Use dh_cruft to clean up leftover files [adetiste]
  * Internal changes:
    - Drop backwards-compatibility with apt < 1.1 [adetiste]
    - Stop depending on distutils, which is deprecated since Python 3.10
      and will be removed from Python 3.12 [smcv]
    - tests: Assert that all games in data/*.yaml were included in the
      build [smcv]
    - tests: Silence some warnings with recent Meson versions [smcv]

 -- Simon McVittie <smcv@debian.org>  Thu, 09 Feb 2023 21:36:36 +0000

game-data-packager (71) unstable; urgency=medium

  * New versions:
    - Baldur's Gate 1: French language [Sébastien Noel]
    - Baldur's Gate 2: French language [Sébastien Noel]
    - Blade Runner: French language [Sébastien Noel]
    - Planescape Torment: French language [Sébastien Noel]
  * Bug fixes:
    - Baldur's Gate 2: Make baldur.ini optional [Sébastien Noel]
    - Broken Sword 1, Broken Sword 2, Longest Journey, Myst:
      Fix upgrade path when repacking an old installed package from
      before we had multilingual support [smcv]
    - Quake 2: Fix expansion version numbering [Sébastien Noel]
  * Internal changes:
    - Baldur's Gate 1: Lower-case filenames of non-English documentation
      [adetiste]

 -- Simon McVittie <smcv@debian.org>  Wed, 25 Jan 2023 12:34:37 +0000

game-data-packager (70) unstable; urgency=medium

  * New games:
    - Duke Nukem 1 [adetiste]
    - Fascination [adetiste]
    - Heroes of Might and Magic II [Anatoliy Gunya]
  * New versions:
    - Commander Keen series: GOG version [Adam Robinson]
    - Full Throttle: French version [Olivier Schwander]
    - Master of Orion: Steam URL [Adam Robinson]
    - Phantasmagoria 2: French version [Sébastien Noel]
    - Quake 2: Update quake2-reckoning-data (xatrix) to 2.11 and
      quake2-groundzero-data (rogue) to 2.10, corresponding to
      Yamagi Quake II version 8.20 [smcv]
    - Ultima IV: GOG URL [Adam Robinson]
    - Unreal Tournament (1999): update to version 469c
      [Sébastien Noel, smcv]
    - Unreal Tournament (1999): Remove workaround for CVE-2004-0608
      in new installations (it was fixed in v469) [smcv]
  * Bug fixes:
    - Doom 2 Master Levels: Fix TryExec location [Sébastien Noel]
    - Enemy Territory: Quake Wars: Fix installation path for Korean
      language [Anatoliy Gunya]
    - Heroes of Might and Magic 3: Mark core.zip as optional [adetiste]
    - Quake 4: Add missing i386 library dependencies [smcv]
    - Spear of Destiny: Use smcv's mirror [adetiste]
    - Unreal: Fix German, French, Italian and Spanish localization packages
      [Anatoliy Gunya]
    - all id Software games: Drop ftp mirrors that no longer work
      (Closes: #968361) [Anatoliy Gunya]
    - all Steam games: Find more Steam locations [adetiste]
    - Output Lintian overrides in a canonicalized order [smcv]
    - Fix \u00a9 appearing unescaped in copyright files [smcv]
    - build: Increase timeout for pyflakes [adetiste]
  * Internal changes:
    - Documentation: Recommend using 'meson setup' subcommand [James Addison]
    - Doom series: Fix ability to find icons when run uninstalled [smcv]
    - Full Throttle: Change installation path for English version to allow
      for other languages [Olivier Schwander]


=== debian/control ===
Source: game-data-packager
Section: contrib/games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Alexandre Detiste <alexandre.detiste@gmail.com>,
 David Banks <amoebae@gmail.com>,
 Jack Coulter <jscinoz@gmail.com>,
 Jonathan Dowland <jmtd@debian.org>,
 Simon McVittie <smcv@debian.org>,
Build-Depends:
 bash-completion,
 dbus-daemon,
 debhelper-compat (= 13),
 dh-apparmor,
 dh-sequence-cruft,
 dh-sequence-python3,
 imagemagick,
 inkscape (>= 1.0~),
 meson (>= 0.56.0),
 pyflakes3,
 python3:any,
 python3-debian,
 python3-yaml:any,
 xmlstarlet,
 zip,
Rules-Requires-Root: no
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/games-team/game-data-packager.git
Vcs-Browser: https://salsa.debian.org/games-team/game-data-packager
Homepage: https://wiki.debian.org/Games/GameDataPackager

Package: game-data-packager
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 python3-debian,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 game-data-packager-runtime (>= ${source:Version}),
Suggests:
 arj,
 binutils,
 cabextract,
 cdparanoia,
 dynamite,
 gcc,
 gdebi | gdebi-kde,
 gir1.2-gdkpixbuf-2.0,
 innoextract,
 lgc-pg,
 lgogdownloader,
 lhasa | jlha-utils | lzh-archiver,
 make,
 p7zip-full,
 pkexec,
 python3-gi,
 python3-omg,
 python3-pil,
 steam,
 steamcmd,
 unace-nonfree,
 unar,
 unrar,
 unshield,
 unzip,
 vorbis-tools,
 xdelta,
 xdelta3,
 xorriso,
Breaks:
 game-data-packager-runtime (<< ${source:Version}),
Architecture: all
Multi-Arch: foreign
Description: Installer for game data files
 Various games are divided into two logical parts: engine
 and data. Often the engine and data are licensed in
 different ways, such that the engine can be distributed
 in Debian but the data cannot.
 .
 game-data-packager is a tool which builds .deb files for game
 data which cannot be distributed in Debian (such as
 commercial game data).
 .
 At the moment, game-data-packager has support for building .deb
 files for:
 .
  * 3 Skulls of the Toltecs
  * A Mind Forever Voyaging
  * Amazon: Guardians of Eden
  * Arthur: the Quest for Excalibur
  * Arx Fatalis
  * Baldur's Gate 1 and 2
  * Ballyhoo
  * Bargon Attack
  * Beavis and Butthead in Virtual Stupidity
  * The Bizarre Adventures of Woodruff and the Schnibble
  * The Black Cauldron
  * Blade Runner
  * Blake Stone and Planet Strike
  * Blue Force
  * Border Zone
  * Castle of Dr. Brain and The Island of Dr. Brain
  * Broken Sword
  * Bureaucracy
  * Chex Quest and Chex Quest 2
  * Chivalry is Not Dead
  * Codename: ICEMAN
  * Commander Keen 4 to 6
  * Conquests of Camelot: The Search for the Grail
  * Conquests of the Longbow: The Legend of Robin Hood
  * Cruise for a Corpse
  * Cutthroats
  * Deadline
  * Descent 1 and 2
  * The Dig
  * Discworld 1 and 2
  * Doom, The Ultimate Doom, Doom 2, The Master Levels for Doom 2, Final Doom
  * Doom 3 and BFG Edition
  * Dračí Historie
  * Dreamweb
  * Duke Nukem 1 and 3D
  * Dune 2: Battle for Arrakis
  * EcoQuest 1 and 2
  * The Elder Scrolls 3: Morrowind
  * Elvira 1 and 2
  * Enchanter
  * Enclosure
  * Eye of the Beholder 1 and 2
  * The Feeble Files
  * Freddy Pharkas: Frontier Pharmacist
  * Freespace 2
  * Full Throttle
  * Future War (Les Voyageurs du Temps)
  * Gabriel Knight 1 and 2
  * Gobliiins 1, 2 and 3
  * Gold Rush!
  * The Griffon Legend
  * Grim Fandango
  * HacX
  * Hank's Quest
  * Heretic, Hexen and Hexen 2
  * Heroes of Might & Magic 2 and 3
  * The Hitchhiker's Guide to the Galaxy
  * Hollywood Hijinx
  * Hopkins FBI
  * Hoyle's Official Book of Games
  * Hugo's House of Horrors, Hugo 2, Hugo 3
  * Icewind Dale 1 and 2
  * Indiana Jones and the Fate of Atlantis
  * Infidel
  * Inherit the Earth
  * James Clavell's Shōgun
  * Jones in the Fast Lane
  * Journey: Part One of the Golden Age Trilogy
  * King's Quest 1 to 7
  * The Labyrinth of Time
  * Lands of Lore: The Throne of Chaos
  * Laura Bow 1 and 2
  * Leather Goddesses of Phobos 1 and 2
  * Legend of Kyrandiar 1, 2 and 3
  * Leisure Suit Larry 1, 2, 3, 5 and 6
  * LGeneral (Panzer General)
  * Lost in Time
  * The Lurking Horror
  * The Manhole
  * Manhunter 1 and 2
  * Maniac Mansion and Day of the Tentacle
  * Mixed-Up Mother Goose & Mixed-Up Fairy Tales
  * Monkey Island 1, 2 and 3
  * Moonmist
  * Mortville Manor
  * Myst: Masterpiece Edition, Riven, Myst III
  * Mystery House
  * The Neverhood
  * Nippon Safes Inc.
  * Nord and Bert Couldn't Make Head or Tail of It
  * Once Upon A Time: Little Red Riding Hood
  * Pajama Sam series
  * Personal Nightmare
  * Phantasmagoria 1 and 2
  * Planescape: Torment
  * Planetfall
  * Plundered Hearts
  * Police Quest 1 to 4
  * Quake, Quake 2, Quake 3 Arena, Quake 4, Enemy Territory: Quake Wars
  * Quest For Glory 1, 2 and 3
  * Rex Nebular and the Cosmic Gender Bender
  * Ringworld 1 and 2
  * Rise of the Triad
  * Rodney's Funscreen
  * Sam & Max Hit the Road
  * Seastalker
  * Sfinx
  * The Lost Files of Sherlock Holmes: The Case of the Serrated Scalpel
  * The Lost Files of Sherlock Holmes: The Case of the Rose Tattoo
  * Sherlock: The Riddle of the Crown Jewels
  * Simon the Sorcerer 1, 2 and Puzzle Pack
  * Slater & Charlie Go Camping
  * Soltys
  * Sorcerer
  * Space Quest 1 to 6
  * Spellbreaker
  * Star Wars Jedi Knight 2: Jedi Outcast and Jedi Academy
  * Starcross
  * Stationfall
  * Strife
  * Suspect
  * Suspended
  * Syndicate
  * System Shock
  * Super 3D Noah's Ark
  * Theme Hospital
  * Tony Tough and the Night of Roasted Moths
  * Toonstruck
  * Touché: The Adventures of the Fifth Musketeer
  * Transport Tycoon Deluxe
  * Trinity
  * Troll's Tale
  * Tyrian
  * Ultima IV & VII
  * Unreal, Unreal Gold and Unreal Tournament (1999)
  * Urban Runner
  * Ween: The Prophecy
  * Winnie the Pooh in the Hundred Acre Wood
  * Wishbringer
  * Witness
  * Wolfenstein 3D, Spear of Destiny and Return to Castle Wolfenstein
  * Wolfenstein: Enemy Territory
  * X-COM: UFO Defense
  * Zork 1, 2 and 3, Beyond Zork, Zork Zero, Return to Zork, Zork: The
    Undiscovered Underground
  * Zork Grand Inquisitor and Zork Nemesis

Package: etqw
Architecture: i386
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 etqw-bin | game-data-packager,
 game-data-packager-runtime (>= ${source:Version}),
 ${misc:Depends},
Suggests:
 etqw-pb-bin,
Description: science-fiction-themed multiplayer first person shooter
 Enemy Territory: Quake Wars is a multiplayer first-person shooter game
 by Splash Damage and id Software, released in 2007.
 This package contains a launcher script and menu entry to play
 ETQW using the proprietary x86 binaries provided by id Software.
 .
 Please note that the ETQW engine is not Free Software, and Debian
 cannot fix any bugs or security flaws in the engine or game code.
 .
 To make this package useful, you will need to create and install some
 non-distributable packages by using the game-data-packager package:
 etqw-bin, and etqw-data.
 Creating those packages requires data files from an "Enemy Territory:
 Quake Wars" installation or DVD.

Package: etqw-server
Architecture: i386
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 adduser,
 etqw-bin | game-data-packager,
 etqw-data | game-data-packager,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 systemd-sysv,
Suggests:
 etqw-pb-bin,
Description: dedicated server for Enemy Territory: Quake Wars
 This package contains a launcher script and systemd unit to run a
 Enemy Territory: Quake Wars server using the proprietary
 x86 binaries provided by id Software.
 .
 Please note that the ETQW engine is not Free Software, and Debian
 cannot fix any bugs or security flaws in the engine or game code.
 .
 To mitigate any security flaws that might exist in this server,
 the systemd unit is not enabled by default, and must be enabled
 with systemctl if it should start at boot time. The systemd unit
 uses various security hardening options to prevent the server from
 escalating its privileges. There is no sysvinit script,
 since sysvinit does not provide similar security hardening.
 .
 To make this package useful, you will need to create and install some
 non-distributable packages by using the game-data-packager package:
 etqw-bin, and etqw-data.
 Creating those packages requires data files from an "Enemy Territory:
 Quake Wars" installation or DVD.

Package: game-data-packager-runtime
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 gir1.2-gtk-4.0,
 gir1.2-pango-1.0,
 python3-gi,
 ${misc:Depends},
 ${python3:Depends},
Architecture: all
Multi-Arch: foreign
Description: Launcher for proprietary games
 Various games are divided into two logical parts: engine
 and data. Often the engine and data are licensed in
 different ways, such that the engine can be distributed
 in Debian but the data cannot.
 .
 Some of the games supported by game-data-packager need to be
 started by a special launcher script that will create symbolic
 links or do other setup. This package contains those launcher
 scripts.
 .
 The following games currently require this package:
 .
  * Doom 2: The Master Levels
  * Quake series
  * Unreal
  * Unreal Gold
  * Unreal Tournament

Package: quake
Architecture: all
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 game-data-packager-runtime (>= ${source:Version}),
 quake-registered | quake-shareware | game-data-packager,
 quakespasm | quake-engine,
 ${misc:Depends},
Suggests:
 quake-armagon (>= 29),
 quake-armagon-music,
 quake-dissolution (>= 29),
 quake-dissolution-music,
 quake-dopa (>= 45),
 quake-music,
Description: classic gothic/horror-themed first person shooter
 Quake is a classic first-person shooter game by id Software,
 released in 1996. This package contains a launcher script and menu
 entry to play Quake with any suitable engine.
 .
 To make this package useful, you will need to create and install the
 non-distributable quake-registered or quake-shareware package, by using the
 game-data-packager package.
 .
 Creating quake-registered requires data files from a Quake installation or
 CD-ROM.
 .
 Creating quake-shareware requires the shareware version of Quake.
 .
 game-data-packager (>= 45) can also produce packages for the official Episode
 5, Dimensions of the Past (developed by MachineGames to mark Quake's 20th
 anniversary), and for the official mission
 packs Scourge of Armagon (developed by Hipnotic Software) and Dissolution
 of Eternity (developed by Rogue Entertainment). Additional menu entries
 should appear automatically if those expansions are installed.

Package: quake-server
Architecture: all
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 adduser,
 quake-registered | quake-shareware | game-data-packager,
 quakespasm | quake-engine-server,
 ${misc:Depends},
 ${python3:Depends},
Description: classic first person shooter - server and init script
 This package contains a launcher script and init script to run a
 Quake 1 server automatically, with any suitable engine.
 .
 To make this package useful, you will need to create and install the
 non-distributable quake-registered or quake-shareware package, by using the
 game-data-packager package.

Package: quake2
Architecture: all
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 game-data-packager-runtime (>= ${source:Version}),
 quake2-full-data | quake2-demo-data | game-data-packager,
 yamagi-quake2 | quake2-engine,
 ${misc:Depends},
Suggests:
 quake2-groundzero,
 quake2-music,
 quake2-reckoning,
Recommends:
 game-data-packager,
Description: classic science-fiction-themed first person shooter
 Quake II is a classic first-person shooter game by id Software,
 released in 1997. This package contains a launcher script and menu
 entry to play Quake II with any suitable engine.
 .
 To make this package useful, you will need to create and install some
 non-distributable packages by using the game-data-packager package:
 either quake2-full-data or quake2-demo-data. Creating quake2-full-data
 requires data files from a Quake II installation or CD-ROM.
 .

=== debian/rules ===
#!/usr/bin/make -f
# GNU copyright 1997 to 1999 by Joey Hess.

#export DH_VERBOSE=1
export DH_OPTIONS

include /usr/share/dpkg/pkg-info.mk

%:
	mkdir -p $(HOME)
	dh $@ --with bash-completion --buildsystem=meson

# Redirect Inkscape log files, etc. to a temporary directory
export HOME = $(CURDIR)/debian/temp-home
export XDG_CACHE_HOME = $(CURDIR)/debian/temp-home/.cache
export XDG_CONFIG_HOME = $(CURDIR)/debian/temp-home/.config
export XDG_DATA_HOME = $(CURDIR)/debian/temp-home/.local/share
# Disable tests that are not appropriate at build-time
export DEB_BUILD_TIME_TESTS = 1

override_dh_auto_configure:
	dh_auto_configure \
		-- \
		--bindir=games \
		--libdir=lib \
		-Dgamedatadir=share/games \
		$(NULL)

override_dh_auto_build:
	dbus-run-session -- dh_auto_build \
		-- \
		$(NULL)

override_dh_auto_install:
	dh_auto_install \
		-- \
		$(NULL)

override_dh_auto_clean:
	dh_auto_clean
	@if [ "`echo *.deb`" != "*.deb" ]; then \
		echo; \
		echo "*************************************************"; \
		echo "Cannot create source package with these here:"; \
		ls *.deb; \
		echo "*************************************************"; \
		echo; \
		exit 1; \
	fi
	debian/copyright.py

override_dh_install:
	dh_install
	if dpkg-vendor --derives-from Ubuntu; then \
		install -d debian/game-data-packager/usr/share/games/game-data-packager; \
		touch debian/game-data-packager/usr/share/games/game-data-packager/is-ubuntu-derived; \
	fi
	dh_apparmor -pgame-data-packager-runtime --profile-name=usr.lib.unreal
	dh_apparmor -pquake4 --profile-name=usr.lib.quake4.quake4.x86
	dh_apparmor -pquake4-server --profile-name=usr.lib.quake4.q4ded.x86

override_dh_installdocs:
	dh_installdocs -XTODO

override_dh_installsystemd:
	dh_installsystemd -pquake4-server --no-enable --no-start
	dh_installsystemd -petqw-server --no-enable --no-start
	dh_installsystemd --remaining-packages

override_dh_python3:
	dh_python3
	dh_python3 -pquake-server /usr/share/games/quake
	dh_python3 -pquake2-server /usr/share/games/quake2
	dh_python3 -pquake3-server /usr/share/games/quake3
	dh_python3 -pquake4-server /usr/share/games/quake4
	dh_python3 -petqw-server /usr/lib/etqw

=== debian/tests/control ===
Tests: check-equivalence
Depends: game-data-packager
Restrictions: allow-stderr, x-gdp-memory-hungry

Tests: check-syntax deb hashed-file rpm umod
Depends: game-data-packager
Restrictions: allow-stderr

Tests: download-shareware
Depends: game-data-packager
Restrictions: allow-stderr, needs-internet

Tests: integration
Depends: @builddeps@, game-data-packager, python3-gi, zip
Restrictions: allow-stderr, build-needed

Tests: destructive
Depends: @builddeps@, game-data-packager, pkexec | policykit-1, python3-gi, sudo, zip
Restrictions: allow-stderr, build-needed, isolation-container, needs-sudo

## game-data-packager 75

=== debian/changelog ===
game-data-packager (75) unstable; urgency=medium

  * Bug fixes:
    - etqw: Rename etqw-dedicated launcher to avoid colliding with etqw-bin
      (Closes: #1039013) [smcv]
    - etqw, quake4: Add Recommends on the necessary packages for audio via
      Pulseaudio or Pipewire (mitigates: #1039012) [smcv]
  * Internal changes:
    - Set up infrastructure to use game-data-packager's launcher for
      Return to Castle Wolfenstein, Jedi Knight II and Jedi Academy.
      Additional changes will be needed in iortcw and openjk to put this
      into effect.

 -- Simon McVittie <smcv@debian.org>  Wed, 28 Jun 2023 11:45:35 +0100

game-data-packager (74) unstable; urgency=medium

  * New games:
    - Serious Sam 1 and 2 (Closes: #817941) [Sébastien Noel]
  * New versions:
    - Loom: add French version [Sébastien Noel]
    - Mortville Manor: add German version "Der Landsitz von Mortville"
      [adetiste]
  * Bug fixes:
    - On Debian, use dsda-doom in preference to prboom-plus [smcv]
    - Fix the invalid AppArmor profile for Quake 4, avoiding a kernel
      bug on Linux 6.3 and warnings on older kernels (see #1038945) [smcv]
  * Internal changes:
    - Silence some Python deprecation and resource warnings [adetiste]

 -- Simon McVittie <smcv@debian.org>  Fri, 23 Jun 2023 16:53:14 +0100

=== debian/control ===
--- 
+++ 
@@ -242,6 +242,10 @@
  etqw-bin | game-data-packager,
  game-data-packager-runtime (>= ${source:Version}),
  ${misc:Depends},
+Recommends:
+ libasound2-plugins | pipewire-alsa,
+ pulseaudio | pipewire-alsa,
+ pulseaudio | pipewire-audio,
 Suggests:
  etqw-pb-bin,
 Description: science-fiction-themed multiplayer first person shooter
@@ -318,11 +322,14 @@
  .
  The following games currently require this package:
  .
-  * Doom 2: The Master Levels
-  * Quake series
-  * Unreal
-  * Unreal Gold
-  * Unreal Tournament
+  * Doom 2: The Master Levels (doom2-masterlevels-wad)
+  * Quake series and Enemy Territory: Quake Wars
+    (quake, quake2, quake3, quake4, etqw)
+  * Return to Castle Wolfenstein (rtcw)
+  * Star Wars Jedi Knight 2: Jedi Outcast and Jedi Academy
+    (openjk-outcast, openjk-academy)
+  * Unreal, Unreal Gold and Unreal Tournament
+    (unreal-classic, unreal-gold, ut99)
 
 Package: quake
 Architecture: all
@@ -397,10 +404,3 @@
 Description: classic science-fiction-themed first person shooter
  Quake II is a classic first-person shooter game by id Software,
  released in 1997. This package contains a launcher script and menu
- entry to play Quake II with any suitable engine.
- .
- To make this package useful, you will need to create and install some
- non-distributable packages by using the game-data-packager package:
- either quake2-full-data or quake2-demo-data. Creating quake2-full-data
- requires data files from a Quake II installation or CD-ROM.
- .

## game-data-packager 76

=== debian/changelog ===
game-data-packager (76) unstable; urgency=medium

  * New games:
    - Aliens Versus Predator [Sébastien Noel]
    - Caesar III (Closes: #806989) [Vincent Pelletier, Sébastien Noel]
    - Ion Fury (Closes: #1040059) [Konstantin Korshunov]
    - Redneck Rampage (Closes: #787236) [adetiste]
    - Shadow Warrior [Sébastien Noel]
    - Star Wars: Dark Forces [Sébastien Noel]
  * New versions:
    - Atlantis: add an alternative French version [Sébastien Noel]
    - Duke Nukem 1: add registered episodes 2 and 3 [adetiste]
    - Freespace 2: Add support for latest GOG release, and also allow build
      from the old 3 CD set [Sébastien Noel]
    - Sam and Max: Add de, es, fr, it translations [Vincent Pelletier]
    - Shivah: support both "Classic" and "Kosher" editions
      [Vincent Pelletier]
    - A Golden Wake, Blackwell series, Broken Sword 2, Gemini Rue,
      Indiana Jones and the Fate of Atlantis,
      Indiana Jones and the Last Crusade, Myst, Myst 3, Primordia,
      Resonance, Riven, Sam and Max, The Longest Journey,
      Wolfenstein 3D, Wolfenstein: Enemy Territory:
      Add support for latest GOG releases
      (Closes: #1045356) [Vincent Pelletier]
  * Bug fixes:
    - Broken Sword 1: Fix compatibility with scummvm >= 2.7.0
      [Vincent Pelletier]
    - Broken Sword 1: Do not create launchers for music packages
      [Vincent Pelletier]
    - Compet-N Doom: adjust for new DSDA download locations [fabian]
    - Compet-N Doom: Do not prepend "Doom: Compet-N" in desktop files
      for better usability (Closes: #1049997) [adetiste]
    - Doom-based games: fix compatibility with python3-pil 10.0
      [Sébastien Noel]
    - check_gog: Skip games with no installer, without error
      [Vincent Pelletier]
    - tests: Extend timeout for download_shareware test [smcv]
  * Internal changes:
    - The Dig: Tag as being available from GOG [Vincent Pelletier]
    - tools/stats.py: Add support for "section: doc" packages
      [Vincent Pelletier]
    - make_template: Always use ffmpeg, removing avconv alternative
      [adetiste]
    - Doom 2 Master Levels: replace deprecated Gtk.TreeView by Gtk.ColumnView
      (Closes: #1043600), silence a warning with Gtk 4.12 [Sébastien Noel]
    - Add type annotations to Python code [adetiste, smcv]
    - Reformat the code in PEP8 style [smcv]
    - build: Remove compatibility with old versions of meson [smcv]
    - tests: Add a lint check that runs pycodestyle [smcv]
    - debian: Don't build-depend on pyflakes [smcv]

 -- Simon McVittie <smcv@debian.org>  Tue, 12 Sep 2023 15:11:55 +0100

=== debian/control ===
--- 
+++ 
@@ -17,8 +17,7 @@
  dh-sequence-python3,
  imagemagick,
  inkscape (>= 1.0~),
- meson (>= 0.56.0),
- pyflakes3,
+ meson (>= 0.61.0),
  python3:any,
  python3-debian,
  python3-yaml:any,

=== debian/rules ===
--- 
+++ 
@@ -28,11 +28,6 @@
 
 override_dh_auto_build:
 	dbus-run-session -- dh_auto_build \
-		-- \
-		$(NULL)
-
-override_dh_auto_install:
-	dh_auto_install \
 		-- \
 		$(NULL)

## game-data-packager 77ubuntu2

=== meson_options.txt ===
# SPDX-FileCopyrightText: 2022 Simon McVittie
# SPDX-License-Identifier: FSFAP

option(
  'bash_completion_dir',
  type : 'string',
  description : 'install bash completion script in this directory',
  value : '',
)
option(
  'distro',
  type : 'string',
  description : 'Linux distribution family [default: automatic]',
  value : '',
)
option(
  'format',
  type : 'string',
  description : 'Default format for output packages [default: automatic]',
  value : '',
)
option(
  'gamedatadir',
  type : 'string',
  description : 'Base directory for game data, e.g. share/games [default: same as datadir]',
  value : '',
)
option(
  'program_prefix',
  type : 'string',
  description : 'Prepend string to program names',
)

=== debian/changelog ===
game-data-packager (77ubuntu2) noble; urgency=medium

  * No-change rebuild against libasound2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 07 Apr 2024 07:13:09 +0000

game-data-packager (77ubuntu1) noble; urgency=medium

  * Disable the 'version' test which just breaks on any Ubuntu delta
    (or no-change rebuild)

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 24 Mar 2024 22:26:28 +0000

game-data-packager (77build1) noble; urgency=medium

  * No-change rebuild against libasound2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 06:36:00 +0000

game-data-packager (77) unstable; urgency=medium

  * New features:
    - extract the bundled icon from GOG games [Sébastien Noel]
      (Closes: #1051856)
    - optionally download an icon from the scummvm-icons repository
      for ScummVM games [Sébastien Noel]
    - use configurable mirrors for old Loki games [Sébastien Noel]
  * New games:
    - Alex4: this game was first thought to be GPL licensed and wholly
      packaged as such in Debian; but in fact it's only the engine part,
      and the data is merely "freeware" (see #1035043) [adetiste]
    - Civilization: Call to Power [Sébastien Noel]
    - Detective Gallo [Dennis Menschel]
    - Descent 3 [Sébastien Noel]
    - Flashback [adetiste]
    - Heretic 2 [Sébastien Noel]
    - Kohan: Immortal Sovereigns [Sébastien Noel]
    - Pushover [adetiste]
    - Railroad Tycoon 2 [Sébastien Noel]
    - Roller Coaster Tycoon 2 (and 1) [Mathias Gibbens]
    - Sid Meier's Alpha Centauri [Sébastien Noel]
    - Tomb Raider 1 [adetiste]
    - Unreal Tournament 2004 [Sébastien Noel]
  * New versions:
    - Dark Forces: add French version [Sébastien Noel]
    - Doom3: add 'Classic Doom' & 'The Lost Mission' expansions
      [Sébastien Noel]
    - Freespace 2: add support for the "fsport" mod, notably the ability
      to play Freespace 1 missions [Sébastien Noel]
    - Indiana Jones and the Fate of Atlantis,
      Indiana Jones and the Last Crusade:
      add support for latest GOG releases [Mathias Gibbens]
    - Jazz Jackrabbit: add support for new GOG.com archive [fabian]
    - Loom: add support for CD version [Sébastien Noel]
    - Quake2: add support for "Zaero" mission pack (Closes: #800503)
      [Sébastien Noel]
    - Return To Zork: add support for CD version [Sébastien Noel]
    - Unreal Tournament (1999): update to version 469d [Sébastien Noel]
    - The Secret of Monkey Island, Indiana Jones and the Last Crusade:
      add English EGA floppy version [Mathias Gibbens]
  * Bug fixes:
    - fix TypeError when gdp prints warnings [Anatoliy Gunya]
    - fix html docs file names in quake2-groundzero-data [Anatoliy Gunya]
    - fix Readme.html path in Quake 3 documentation [Anatoliy Gunya]
    - fix broken symlinks in quake3-team-arena-data [Anatoliy Gunya]
    - ScummVM games: fix many game IDs [Sébastien Noel, adetiste]
      (Closes: #1059449)
    - ScummVM games: remove versioned dependencies on ancient ScummVM 1.x
      [adetiste]
    - fix unbuildable "Little Big Adventure" package [Sébastien Noel]
    - ScummVM games and Doom 3: move desktop files for mods from the
      plugin to gdp-runtime, so that bugs in the .desktop files can
      be fixed without rebuilding the non-distributable packages
      [Sébastien Noel]
    - Heretic, Hexen, Strife: fix invalid Breaks in packages generated with
      v76 [Sébastien Noel]
    - Hexen: extract a better icon [smcv]
    - correct data_type for various packages that contain
      executables [Sébastien Noel]
  * Debian packaging:
    - add a Doom mini-policy [Sébastien Noel]
    - transition from p7zip-full to 7zip (Closes: #1063580) [adetiste]
    - Replace Suggests: steam with steam-installer|steam-launcher [smcv]
  * Internal changes:
    - d/rules: trim using new execute_after_* syntax [adetiste]
    - add more type annotations to Python code [adetiste]
    - add an optional minimal pre-commit hook [adetiste]
    - gdp_launcher_base: use os.EX_* instead of magic numbers [adetiste]
    - doom_common: remove prboom-plus on Debian and add crispy-doom
      as alternative engine on some expansions. [Sébastien Noel]
    - add support for symlinks with offset to CD ripping code
      [Sébastien Noel]
    - increase a test timeout [adetiste]
    - gdp.version: Get the version number from meson.build if possible [smcv]
    - tests: Assert version is consistent in meson.build and debian/ [smcv]

 -- Simon McVittie <smcv@debian.org>  Sat, 24 Feb 2024 15:34:18 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: game-data-packager
 Section: contrib/games
 Priority: optional
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
- Alexandre Detiste <alexandre.detiste@gmail.com>,
+ Alexandre Detiste <tchet@debian.org>,
  David Banks <amoebae@gmail.com>,
  Jack Coulter <jscinoz@gmail.com>,
  Jonathan Dowland <jmtd@debian.org>,
@@ -40,6 +41,7 @@
 Recommends:
  game-data-packager-runtime (>= ${source:Version}),
 Suggests:
+ 7zip,
  arj,
  binutils,
  cabextract,
@@ -49,16 +51,16 @@
  gdebi | gdebi-kde,
  gir1.2-gdkpixbuf-2.0,
  innoextract,
+ lame,
  lgc-pg,
  lgogdownloader,
  lhasa | jlha-utils | lzh-archiver,
  make,
- p7zip-full,
  pkexec,
  python3-gi,
  python3-omg,
  python3-pil,
- steam,
+ steam-installer | steam-launcher,
  steamcmd,
  unace-nonfree,
  unar,
@@ -401,5 +403,3 @@
 Recommends:
  game-data-packager,
 Description: classic science-fiction-themed first person shooter
- Quake II is a classic first-person shooter game by id Software,
- released in 1997. This package contains a launcher script and menu

=== debian/rules ===
--- 
+++ 
@@ -31,8 +31,7 @@
 		-- \
 		$(NULL)
 
-override_dh_auto_clean:
-	dh_auto_clean
+execute_after_dh_auto_clean:
 	@if [ "`echo *.deb`" != "*.deb" ]; then \
 		echo; \
 		echo "*************************************************"; \
@@ -44,8 +43,7 @@
 	fi
 	debian/copyright.py
 
-override_dh_install:
-	dh_install
+execute_after_dh_install:
 	if dpkg-vendor --derives-from Ubuntu; then \
 		install -d debian/game-data-packager/usr/share/games/game-data-packager; \
 		touch debian/game-data-packager/usr/share/games/game-data-packager/is-ubuntu-derived; \
@@ -62,8 +60,7 @@
 	dh_installsystemd -petqw-server --no-enable --no-start
 	dh_installsystemd --remaining-packages
 
-override_dh_python3:
-	dh_python3
+execute_after_dh_python3:
 	dh_python3 -pquake-server /usr/share/games/quake
 	dh_python3 -pquake2-server /usr/share/games/quake2
 	dh_python3 -pquake3-server /usr/share/games/quake3

## game-data-packager 78ubuntu1

=== debian/changelog ===
game-data-packager (78ubuntu1) oracular; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Disable the 'version' test which just breaks on any Ubuntu delta

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 10 May 2024 16:35:14 +0200

game-data-packager (78) unstable; urgency=medium

  * New games:
    - Rune (i386 binary-only) [Sébastien Noel]
    - Soldier of Fortune (i386 binary-only) [Sébastien Noel]
  * New versions:
    - Heroes of Might and Magic 2: Handle FLAC music archive provided
      by GOG, fix incorrect video filenames in Windows version, and
      ignore unneeded OGG music tracks [Anatoliy Gunya]
  * Bug fixes:
    - Heretic, Hexen: Improve extraction of icons [fabian]
    - On .deb-based systems, allow libsmpeg-0.4.so.0 to be provided by
      either libsmpeg0t64 (Debian 13, Ubuntu 24.04) or libsmpeg0
      (Debian 12, Ubuntu 22.04) [smcv]
    - Steam integration: Find Steam username for steamcmd in the
      location used by steam-installer [adetiste]
    - Fix spelling [adetiste]
  * Debian packaging:
    - Switch quake4 dependency from libasound2 to libasound2t64
      (Closes: #1070016) [smcv]

 -- Simon McVittie <smcv@debian.org>  Fri, 03 May 2024 10:29:21 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: game-data-packager
 Section: contrib/games
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  Alexandre Detiste <tchet@debian.org>,
  David Banks <amoebae@gmail.com>,
@@ -403,3 +402,5 @@
 Recommends:
  game-data-packager,
 Description: classic science-fiction-themed first person shooter
+ Quake II is a classic first-person shooter game by id Software,
+ released in 1997. This package contains a launcher script and menu

## game-data-packager 80

=== debian/changelog ===
game-data-packager (80) unstable; urgency=medium

  * New games:
    - Medal of Honor: Allied Assault [Sébastien Noel]
  * New expansions:
    - Doom 1: SIGIL II, a new episode by Romero [Sébastien Noel]
  * New versions:
    - ut2004: Add another variant of Manual.pdf [smcv]
  * Bug fixes:
    - launcher: Don't reorder arguments [Sébastien Noel]
    - Doom 1: merge data and music for Sigil 1 packages [Sébastien Noel]
    - descent3: drop old binary-only Loki port, the engine is now free
      under GPL-3+ [Sébastien Noel]
    - quake3: Automatically unpack Team Arena patches from patch tarball,
      fixing a regression in v77 [smcv]
  * Debian packaging:
    - Standards-Version: 4.7.0 (no changes required) [smcv]

 -- Simon McVittie <smcv@debian.org>  Sat, 21 Sep 2024 18:31:47 +0100

game-data-packager (79) unstable; urgency=medium

  * New games:
    - Heavy Gear II (i386 binary-only) [Sébastien Noel]
    - Homeworld [Sébastien Noel]
    - SimCity 3000 (i386 binary-only) [Sébastien Noel]
  * New versions:
    - Heroes of Might and Magic 3: Handle latest GOG releases
      [Sébastien Noel]
  * Bug fixes:
    - Commander Keen series: Include original executables [Sébastien Noel]
    - Morrowind: Install Morrowind.esm correctly [Plasma (David Paul)]
      (Closes: #1073972)
    - Return to Castle Wolfenstein: Update to iortcw 1.51c, cleaning up
      dead download links in the process [Dmitry Baryshkov]
    - Unreal: Clean up dead download links [smcv]
    - Unreal: Account for variation between GOG and Steam [smcv]
  * Debian packaging:
    - Remove /etc/game-data-packager/oldunreal-mirrors on upgrade,
      no longer useful [smcv]
  * Internal changes:
    - Fix various mypy warnings [smcv]

 -- Simon McVittie <smcv@debian.org>  Sun, 04 Aug 2024 15:48:42 +0100

## game-data-packager 80ubuntu1

=== debian/changelog ===
game-data-packager (80ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Disable the 'version' test which just breaks on any Ubuntu delta

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 24 Sep 2024 10:37:30 +0200

game-data-packager (79ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Disable the 'version' test which just breaks on any Ubuntu delta

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 05 Aug 2024 09:17:08 +0200

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
  xmlstarlet,
  zip,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/games-team/game-data-packager.git
 Vcs-Browser: https://salsa.debian.org/games-team/game-data-packager
 Homepage: https://wiki.debian.org/Games/GameDataPackager

## game-data-packager 81ubuntu1

=== debian/changelog ===
game-data-packager (81ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Disable the 'version' test which just breaks on any Ubuntu delta

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 16 Jan 2025 17:18:39 +0100

game-data-packager (81) unstable; urgency=medium

  * New games:
    - Postal [Sébastien Noel]
    - Prey (2006) [Sébastien Noel]
    - The Settlers II [adetiste]
    - Thimbleweed Park [Sébastien Noel]
  * Bug fixes:
    - packaging.deb: Systematic support for all dpkg architectures [smcv]
    - civctp: fix Categories and Keywords in desktop file [Sébastien Noel]
  * Launcher:
    - add support for the MOHAA dedicated server [Sébastien Noel]
    - add support for RBDOOM-3-BFG [Sébastien Noel]
  * Debian packaging:
    - d/salsa-ci.yml:
      + Update to the salsa-ci-team's current recommendation [smcv]
      + Disable piuparts, not reliable for contrib packages [Sébastien Noel]

 -- Simon McVittie <smcv@debian.org>  Tue, 14 Jan 2025 22:28:02 +0000
